Name: openpgpkey-milter
Version: 0.5
Release: 2%{?dist}
Summary: OPENPGPKEY basd automatic encryption of emails using the milter API
Group: System Environment/Daemons
License: GPLv3+
BuildArch:noarch
URL: ftp://ftp.nohats.ca/openpgpkey-milter
Source0: ftp://ftp.nohats.ca/%{name}/%{name}-%{version}.tar.gz
Requires: %{_sbindir}/sendmail python-gnupg unbound-python python-pymilter python-setproctitle

Requires (post): chkconfig
Requires (preun): chkconfig, initscripts
Requires (postun): initscripts

# newer python have this built-in
Requires: python-argparse

%description
The openpgpkey-milter package provides a milter plugin for sendmail or postfix
that will automatically encrypt plaintext emails if the target recipient is
publishing an OPENPGPKEY record protected with DNSSEC. This is currently an
IETF draft (draft-wouters-dane-openpgp)

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_localstatedir}/spool/%{name} %{buildroot}%{_localstatedir}/run/%{name}

mkdir -p %{buildroot}%{_sbindir}
install -p -m 0755 -D %{name} %{buildroot}%{_sbindir}/%{name}

install -p -m 0755 -D packaging/rhel/6/%{name}.init %{buildroot}%{_initrddir}/%{name}

%files
%doc README LICENSE
%dir %attr(750,root,mail) %{_localstatedir}/run/%{name}
%dir %attr(770,root,mail) %{_localstatedir}/spool/%{name}
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0755,root,root) %{_sbindir}/%{name}

%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 -eq 0 ]; then
  /sbin/service %{name} stop > /dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi

%postun
if [ $1 -ge 1 ]; then
  /sbin/service %{name} condrestart 2>&1 >/dev/null
fi

%changelog
* Thu Apr 21 2016 Paul Wouters <pwouters@redhat.com> - 0.5-2
- Resolves rhbz#1111941 missing dependency to python-argparse

* Sun Jan 03 2016 Paul Wouters <pwouters@redhat.com> - 0.5-1
- Updated to 0.5 which implements draft 06, uses lowercased LHS

* Fri Apr 18 2014 Paul Wouters <pwouters@redhat.com> - 0.4-1
- Updated to 0.4 (more robust for odd pubkeys)

* Mon Feb 03 2014 Paul Wouters <pwouters@redhat.com> - 0.3-2
- Initial package
